Subject: bug#13284: closed (Re: bug#13284: 24.3.50; when launched with -Q the frame is as wide as the scrollbar)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 31 May 2016 21:38:02 +0000

Your bug report

#13284: 24.3.50; when launched with -Q the frame is as wide as the scrollbar

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13284: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13284
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13284: 24.3.50; when launched with -Q the frame is as wide as the scrollbar
From: Alan Third <[email-masked]>
To: Peter Dyballa <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 May 2016 22:37:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, May 31, 2016 at 11:32:44PM +0200, Peter Dyballa wrote:
> 
> Am 31.05.2016 um 22:31 schrieb Alan Third:
> 
> > Are you still
> > experiencing this behaviour? I don't have LucidaSans-Typewriter, but I
> > can't find a font that causes this fault in Emacs 25.
> 
> Hello!
> 
> Which GNU Emacs 25 I do not experience this effect.
> 
> LucidaSans-Typewriter was contained in Java Runtimes years ago.

Thanks. I'll close this bug report for now. Feel free to re-open if
the issue comes back.
-- 
Alan Third

Subject: 24.3.50; when launched with -Q the frame is as wide as the scrollbar
From: Peter Dyballa <[email-masked]>
To: [email-masked]
Date: Thu, 27 Dec 2012 15:32:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

This behaviour seems to be related to the default font used, Lucida  
Sans Typewriter from Java. When I launch GNU Emacs as

	nextstep/Emacs.app/Contents/MacOS/Emacs -Q -fn "FreeMono"

the frame opens OK with 80 column or such. (The same behaviour is  
also shown by GNU Emacs 24.2.50. The released GNU Emacs 24.2 does not  
show this behaviour, but it claims:

	*** Warning: font in family 'LucidaSans-Typewriter' not found [644  
times]
	Error during redisplay: (error "Variable binding depth exceeds max- 
specpdl-size")
	select-frame: Variable binding depth exceeds max-specpdl-size
	*** Warning: font in family 'LucidaSans-Typewriter' not found
)

In GNU Emacs 24.3.50.1 (powerpc-apple-darwin8.11.0, NS apple- 
appkit-824.48)
  of 2012-12-27 on
Bzr revision: 111341  
[email-masked]
Windowing system distributor `Apple', version 10.3.824
Configured using:
  `configure '--without-pop' '--without-sound' '--with-ns'
  '--disable-ns-self-contained' '--x-libraries=/usr/X11/lib'
  '--x-includes=/usr/X11/include'
  '--enable-locallisppath=/Library/Application
  Support/Emacs/calendar24:/Library/Application Support/Emacs'  
'CFLAGS=-g
  -ggdb3 -H -pipe -fPIC -fno-common -O0 -mcpu=7450 -mtune=7450 -maltivec
  -faltivec -mabi=altivec -malign-natural' 'CC=gcc-apple-4.2'
  'CXX=g++-apple-4.2' 'CPPFLAGS=-I/sw/include' 'LDFLAGS=-L/sw/lib -v
  -Wl,-v -Wl,-bind_at_load -Wl,-t'
  'PKG_CONFIG_PATH=/sw/lib/pkgconfig:/sw/share/pkgconfig:/usr/X11/lib/ 
pkgconfig:/usr/lib/pkgconfig:/usr/lib/pkgconfig''

Important settings:
   value of $LC_CTYPE: de_DE.UTF-8
   value of $LANG: de_DE.UTF-8
   locale-coding-system: utf-8-unix
   default enable-multibyte-characters: t

Major mode: Info

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

--
Mit evolutionären Grüßen

   Pete

"Evolution"            o           __o                     _o _
           °\___o      /0~         -\<,              ^\___ /=\\_/-%
oo~_______ /\ /\______/ \_________O/ O_______________o===>-->O--o____